// Carousel Layout JS

(function( $ ) {
    "use strict";

    // Start Slider Js
    var Slider = function ($scope) {

        var $_this = $scope.find('.apcw-product-carousel');
        var $currentID = '#' + $_this.attr('id');
        var apcw_slider_autoplay = $_this.data('apcw-slider-autoplay');
        var apcw_slider_speed = $_this.data('apcw-slider-autoplay-speed');
        var apcw_slider_dots = $_this.data('apcw-slider-dots');
        var apcw_slider_arrows = $_this.data('apcw-slider-arrows');
        var apcw_slider_slides_to_scroll = $_this.data('apcw-slider-to-scroll');
        var apcw_slider_infinite = $_this.data('apcw-slider-infinite');
        var apcw_slider_pause_on_hover = $_this.data('apcw-slider-pause-on-hover');
        var apcw_next_arrow = $_this.data('apcw-next-arrow');
        var apcw_prev_arrow = $_this.data('apcw-prev-arrow');
        var apcw_slides_to_show = $_this.data('apcw-slides-to-show');
        var apcw_slides_to_show_tablet = $_this.data('apcw-slides-to-show-tablet');
        var apcw_slides_to_show_mobile = $_this.data('apcw-slides-to-show-mobile');

        jQuery($currentID + ".apcw-product-carousel").slick({    
            infinite: (apcw_slider_infinite == 'yes') ? true : false,
            slidesToShow: apcw_slides_to_show,
            slidesToScroll: apcw_slider_slides_to_scroll,
            dots: (apcw_slider_dots == 'yes') ? true : false,
            arrows: (apcw_slider_arrows == 'yes') ? true : false,
            autoplay: (apcw_slider_autoplay == 'yes') ? true : false,
            autoplaySpeed: apcw_slider_speed,
            focusOnSelect: (apcw_slider_pause_on_hover == 'yes') ? true : false,
            prevArrow: '<button type="button" class="slick-prev">'+apcw_prev_arrow+'</button>',
            nextArrow: '<button type="button" class="slick-next">'+apcw_next_arrow+'</button>',
            responsive: [
                {
                    breakpoint: 1900,
                    settings: {
                    slidesToShow: apcw_slides_to_show,
                    }
                },
                {
                    breakpoint: 768,
                    settings: {
                    slidesToShow: apcw_slides_to_show_tablet,
                    }
                },
                {
                    breakpoint: 980,
                    settings: {
                    slidesToShow: apcw_slides_to_show_tablet,
                    }
                },
                {
                    breakpoint: 425,
                    settings: {
                    slidesToShow: apcw_slides_to_show_mobile,
                    }
                }
            ]
        });
    }

    $(window).on('elementor/frontend/init', function () {
        elementorFrontend.hooks.addAction('frontend/element_ready/advanced-product-catalog.default', Slider);
    });

})(jQuery);

//End Carousel Layout JS 