<?php
/**
 * Return product category array.
 * @access public
 * @since  1.0
 */

if (!function_exists('apcw_product_categories')) {
    function apcw_product_categories() {
        $terms = get_terms(
            array(
                'taxonomy' => 'product_cat',
                'hide_empty' => true,
            )
        );
        $options = array();
        if (!empty($terms) && !is_wp_error($terms)) {
            foreach ($terms as $term) {
                $options[$term->term_id] = $term->name;
            }
        }
        return $options;
    }
}

/**
 * Return product tags array.
 * @access public
 * @since  1.0
 */

if (!function_exists('apcw_product_tags')) {
    function apcw_product_tags() {
        $terms = get_terms(
            array(
                'taxonomy' => 'product_tag',
                'hide_empty' => true,
            )
        );
        $options = array();
        if (!empty($terms) && !is_wp_error($terms)) {
            foreach ($terms as $term) {
                $options[$term->term_id] = $term->name;
            }
        }
        return $options;
    }
}

/**
 * Return product author array.
 * @access public
 * @since  1.0
 */

if (!function_exists('apcw_product_author')) {
    function apcw_product_author() {
        $args = array(
            'orderby' => 'name',
            'order' => 'ASC',
            'role__not_in' => array('customer', 'subscriber'),
        );
        $authors = get_users($args);
        $options = array();
        if (!empty($authors) && !is_wp_error($authors)) {
            foreach ($authors as $author) {
                $options[$author->ID] = $author->user_login;
            }
        }
        return $options;
    }
}

/**
 * Product type function
 * @access public
 * @since  1.0
 */

if( !function_exists('apcw_get_product_types') ){
	function apcw_get_product_types(){
		$product_types_lists = wc_get_product_types();
		return  $product_types_lists;
	}
}
