<!-- Start Advanced Product Catalog for WooCommerce Carousel Layout 4 -->
<?php   
global $product; ?>
<div class="apcw-layout-4 apcw-layout-slider">
    <!-- Product -->
    <div class="apcw-item-container">
        <!-- Sale Badge -->
        <?php
        //if show sale badge enabled.
        if ($settings['apcw_show_badge'] == "yes") { ?>
            <div class="apcw-label">
                <?php
                if ($product->is_on_sale()){ ?>
                    <span class="apcw-ribbon"><?php echo esc_attr($settings['apcw_sale_badge']); ?></span>
                <?php } ?>
            </div>
        <?php } ?>
        <!-- Image -->
        <?php
        //If Show Image enabled.
        if ($settings["apcw_show_image"] == 'yes') { ?>
            <div class="apcw-layout-img"><?php
                if (has_post_thumbnail()) { ?>
                    <a href="<?php the_permalink(); ?>" class="apcw-img" title="<?php the_title_attribute(); ?>"><?php the_post_thumbnail($settings['apcw_product_image_size_size']); ?></a>
                    <?php 
                } ?>
            </div>
        <?php } ?>
        <!-- Product Content -->
        <div class="apcw-content-container">
            <!-- Category-tag-rating -->
            <div class="apcw-tag-rate-wrapper">
                <!-- Category-tag -->
                <div class="apcw-cat-tag-wrapper">
                    <?php
                    //If Show Category above title enabled.
                    if ($settings['apcw_show_category'] == "yes" && $settings['apcw_category_position'] == "above_title") { ?>
                        <div class="apcw-layout-categories">
                            <?php 
                            $product_categories = get_the_terms(get_the_ID(), 'product_cat');
                            $category_names = array();
                            if (is_array($product_categories) || is_object($product_categories)) {
                                foreach($product_categories as $category){
                                $category_names[] = '<a class="apcw-category-link" href="' . esc_url(get_term_link($category)) . '">' . esc_attr($category->name) . '</a>';
                                }    
                            }?>
                            <span class="apcw-category-names"><?php echo implode(', ', $category_names); ?></span>
                        </div>
                    <?php } 
                    //If Show Tag above title enabled.
                    if ($settings['apcw_show_tag'] == "yes" && $settings['apcw_tag_position'] == "above_title") { ?>
                        <div class="apcw-layout-tags">
                            <?php
                            $apcw_product_tags = get_the_terms(get_the_ID(), 'product_tag');
                            $tag_names = array();
                            if (is_array($apcw_product_tags) || is_object($apcw_product_tags)) {
                                foreach($apcw_product_tags as $tag){
                                    $tag_names[] = '<a class="apcw-tag-link" href="' . esc_url(get_term_link($tag)) . '">' . esc_attr($tag->name) . '</a>';
                                }
                            }?>
                            <span class="apcw-tag-names"><?php echo implode(', ', $tag_names); ?></span>
                        </div>
                    <?php } ?>
                </div>
                <!-- Rating -->
                <?php
                //If Show Rating enabled.
                if ($settings['apcw_show_rating'] == "yes") {
                    $average = $product->get_average_rating();
                    echo wp_kses_post('<div class="apcw-star-rating"><span style="width:'.( ( $average / 5 ) * 100 ) . '%"><strong itemprop="ratingValue" class="rating">'.$average.'</strong></span></div>');
                } ?>
            </div>
            <!-- Title -->
            <div class="apcw-layout-title">
                <?php
                //If Show Title enabled.
                if (isset($settings['apcw_show_title']) && $settings['apcw_show_title'] == 'yes') {
                    $apcw_title_tag = $settings['apcw_title_tag']; ?>
                    <<?php echo esc_attr($apcw_title_tag); ?> class="apcw-layout-title-tag"><?php the_title(); ?></<?php echo esc_attr($apcw_title_tag); ?>>
                    <?php 
                } ?>
            </div>
            <!-- Category-tag -->
            <div class="apcw-cat-tag-wrapper">
                <?php
                //If Show Category under title enabled.
                if ($settings['apcw_show_category'] == "yes" && $settings['apcw_category_position'] == "under_title") { ?>
                    <div class="apcw-layout-categories">
                        <?php 
                        $product_categories = get_the_terms(get_the_ID(), 'product_cat');
                        $category_names = array();
                        if (is_array($product_categories) || is_object($product_categories)) {
                            foreach($product_categories as $category){
                            $category_names[] = '<a class="apcw-category-link" href="' . esc_url(get_term_link($category)) . '">' . esc_attr($category->name) . '</a>';
                            }    
                        }?>
                        <span class="apcw-category-names"><?php echo implode(', ', $category_names); ?></span>
                    </div>
                <?php } 
                //If Show Tag under title enabled.
                if ($settings['apcw_show_tag'] == "yes" && $settings['apcw_tag_position'] == "under_title") { ?>
                    <div class="apcw-layout-tags">
                        <?php
                        $apcw_product_tags = get_the_terms(get_the_ID(), 'product_tag');
                        $tag_names = array();
                        if (is_array($apcw_product_tags) || is_object($apcw_product_tags)) {
                            foreach($apcw_product_tags as $tag){
                                $tag_names[] = '<a class="apcw-tag-link" href="' . esc_url(get_term_link($tag)) . '">' . esc_attr($tag->name) . '</a>';
                            }
                        }?>
                        <span class="apcw-tag-names"><?php echo implode(', ', $tag_names); ?></span>
                    </div>
                <?php } ?>
            </div>
            <!-- Description -->
            <?php
            //If Show Description enabled.
                if ($settings['apcw_show_description'] == 'full') {
                    $content = $product->get_description();
                } elseif ($settings['apcw_show_description'] == 'short') {
                    $content = $product->get_short_description();
                } else {
                    $content = '';
                }
                if ($settings['apcw_show_read_more'] == "yes") {
                    $read_more = '<a href="' . esc_url(get_permalink()) . '" rel="bookmark" class="apcw_product_read-more">' . ' &nbsp;' . $settings['apcw_read_more_text'] . '</a>';
                } else {
                    $read_more = "";
                }
                ?>
                <!-- Read more -->
                <p class="apcw-product-description">
                    <?php
                    //If Show Read more enabled.
                    echo wp_trim_words($content, $settings['apcw_content_length'], $read_more);
                    ?>
                </p>
            <!-- Prices -->
            <div class="apcw-price"> 
                <?php
                //If Product is simple and show price enabled.
                if ($product->is_type('simple') && $product->is_on_sale()) {
                    //If Product is simple and show regular price enabled.
                    if ($product->get_sale_price()) {
                        if ($product->get_sale_price() && $settings["apcw_show_regular_price"] == 'yes') {?>
                            <del class="apcw-regular-price"><span><?php echo esc_html(get_woocommerce_currency_symbol());?></span><?php echo esc_attr($product->get_regular_price());?></del>
                            <?php
                        }
                        //If Product is simple and show sale price enabled.
                        if ($product->get_sale_price() && $settings["apcw_show_sale_price"] == 'yes') {?>
                            <b class="apcw-sale-price"><span><?php echo esc_html(get_woocommerce_currency_symbol()); ?></span><?php echo esc_attr($product->get_sale_price()); ?></b>
                            <?php
                        }
                    }
                    //If Product is simple and has only regular price enabled.
                    else { ?>
                        <span><?php echo esc_html(get_woocommerce_currency_symbol()); ?></span><?php echo esc_attr($product->get_regular_price()); ?>
                <?php }
                } else { 
                    //If Product is with Variation and show price enabled.
                    if ($settings["apcw_show_regular_price"] == 'yes') {?>
                        <div class="apcw-price-variation">
                            <?php echo wp_kses_post($product->get_price_html()); ?> 
                        </div>
                    <?php }
                } ?>
            </div>
            <!-- Add-to-cart button -->
            <?php
            //If Show Add-to-cart button enabled.
                if ($settings['apcw_show_cart_button'] == "yes") { ?>
                    <div class="apcw-button">
                        <div class="apcw-add-cart"><?php
                        //Text for Add-to-cart in Product variation.
                        if ($settings['apcw_show_custom_button'] == "yes"){
                            if ($product->is_type('simple')) {
                                $add_to_cart = $settings['apcw_simple_button_text'];
                            } elseif ($product->is_type('variable')) {
                                $add_to_cart = $settings['apcw_variable_button_text'];
                            } elseif ($product->is_type('grouped')) {
                                $add_to_cart = $settings['apcw_grouped_button_text'];
                            } elseif ($product->is_type('external')) {
                                $add_to_cart = $settings['apcw_external_button_text'];
                            }
                        } else {
                            $add_to_cart = $product->add_to_cart_text();
                        }   
                        echo apply_filters( 'woocommerce_loop_add_to_cart_link',
                        sprintf( '<a href="%s" rel="nofollow" data-product_id="%s" data-product_sku="%s" class="button %s">%s</a>',
                        esc_url( $product->add_to_cart_url() ),
                        esc_attr( $product->get_id() ),
                        esc_attr( $product->get_sku() ),
                        $product->is_purchasable() ? 'add_to_cart_button' : '',
                        esc_html($add_to_cart)
                        ),
                        $product );
                        ?>
                        </div>
                    </div>
            <?php } ?>
        </div>
    </div>
</div>
<!-- End Advanced Product Catalog for WooCommerce Carousel Layout 4 -->